import { NotificationChannel, ExtraReplyMessage } from "./NotificationChannel";
interface TelegramNotifierConfig {
    botToken: string;
    maxMessagesPerSecond?: number;
}
export declare class TelegramNotifier implements NotificationChannel {
    private config;
    private bot;
    private rateLimiter;
    constructor(config: TelegramNotifierConfig);
    send(users: string[], meta: ExtraReplyMessage[]): Promise<{
        status: string;
        recipient: string;
        response?: any;
        error?: string;
    }[]>;
}
export {};
