"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Logger {
    static loggingEnabled = true;
    static enableLogging(enabled) {
        this.loggingEnabled = enabled;
    }
    static log(...args) {
        if (this.loggingEnabled) {
            console.log(...args);
        }
    }
    static error(...args) {
        if (this.loggingEnabled) {
            console.error(...args);
        }
    }
}
exports.default = Logger;
//# sourceMappingURL=Logger.js.map