export interface BatchQueryOptions {
    batchSize?: number;
    maxQueriesPerSecond?: number;
}
export declare function processInBatches<T>(processBatch: (offset: number, limit: number) => Promise<T[]>, handler: (items: T[]) => Promise<void>, options?: BatchQueryOptions): Promise<void>;
export declare function retryWithBackoff<T>(operation: () => Promise<T>, maxRetries?: number, baseDelay?: number): Promise<T>;
