import { BaseJob } from "./BaseJob";
interface NotificationPayload {
    userIds: string[];
    message: string;
    meta?: Record<string, any>;
    channel: "firebase" | "telegram" | "email" | "web";
}
export declare class NotificationJob extends BaseJob<NotificationPayload> {
    type: string;
    constructor(payload: NotificationPayload);
    execute(): Promise<void>;
}
export {};
