import { NotificationChannel, WebPush } from "./NotificationChannel";
interface WebPushNotifierConfig {
    publicKey: string;
    privateKey: string;
    contactEmail: string;
    maxMessagesPerSecond?: number;
}
export declare class WebPushNotifier implements NotificationChannel {
    private config;
    private rateLimiter;
    constructor(config: WebPushNotifierConfig);
    send(userIds: string[], meta: WebPush[]): Promise<{
        status: string;
        recipient: string;
        response?: any;
        error?: string;
    }[]>;
}
export {};
